Tomcat 404 in debegger

I hope this is the right spot to get help with this. I'm evaluating Idea for my company and have run into a problem. When I run my project as a web app, everything is fine. If I run the debugger, I get a 404 as if my WEB-INF is incorrect or as if Tomcat cant find my app definitions. Please help. This product will not be accepted like this.

I am running Tomcat 4.1.18 installed at:
C:\java\jakarta\jakarta-tomcat-4.1.18

and Idea 3.0.4 installed at:
C:\java\IntelliJ-IDEA-3.0.4

The project file is installed in the CATALINA_HOME directory. So why can't the debugger find the webapps and the runner can?

12 comments
Comment actions Permalink

IDEA's tomcat plugin supports only Tomcat 4.0.x.

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"



0
Comment actions Permalink

(man I wish I could have $1 for every time you had to post this comment)

Eugene Zhuravlev wrote:

IDEA's tomcat plugin supports only Tomcat 4.0.x.

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"



0
Comment actions Permalink

(man I wish I could have $1 for every time you had to post this comment)


Yep, I also wouldn't mind to :)

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"



0
Comment actions Permalink

Same problem with 4.0.6.

0
Comment actions Permalink

Could please you send me a small test project that illustrates the problem?

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"


"Marty Milligan" <no_mail@jetbrains.com> wrote in message news:18555103.1059489860775.JavaMail.itn@is.intellij.net...

Same problem with 4.0.6.



0
Comment actions Permalink

Unchecking "Force classic VM" in the Debugger section of project properties seems to have corrected this problem. Both Tomcat versions 4.0.6 and 4.1.18 have been tested with this change.

0
Comment actions Permalink

What is the version of the JVM used to run Tomcat?

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"

"Marty Milligan" <no_mail@jetbrains.com> wrote in message news:16086622.1059512435708.JavaMail.itn@is.intellij.net...

Unchecking "Force classic VM" in the Debugger section of project properties seems to have corrected this problem. Both Tomcat

versions 4.0.6 and 4.1.18 have been tested with this change.


0
Comment actions Permalink

Hi,

I am using tomcat 4.1.12 Web server but tomcat 4.1.12 Web server is not
showing in the Application server list Idea is showing tomcat 4.0.x Web
server.can u help me how to use tomcat 4.1.12 Web server with Idea.

Thanx
Sekhar.

"Robert S. Sfeir" <sfcodewarrior@hotmail.com> wrote in message
news:bg5lpp$dd7$2@is.intellij.net...

(man I wish I could have $1 for every time you had to post this comment)

>

Eugene Zhuravlev wrote:

>

IDEA's tomcat plugin supports only Tomcat 4.0.x.

>

--

>

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"

>
>
>

>


0
Comment actions Permalink

news.jetbrains.com wrote:

Hi,

I am using tomcat 4.1.12 Web server but tomcat 4.1.12 Web server is not
showing in the Application server list Idea is showing tomcat 4.0.x Web
server.can u help me how to use tomcat 4.1.12 Web server with Idea.


You can't.

R

0
Comment actions Permalink

Depends on what you need -
1) In you need JSP source-level debugging - for this version of Tomcat it is not supported (please search for the forums - there
were a lot of posts explaining why)
2) If you need just running/stopping it - either create a Run configuration or you can modify the plugin's sources which are
bundled.

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"


"news.jetbrains.com" <kotha_chandu2002@yahoo.com> wrote in message news:bj8q22$b7q$1@is.intellij.net...

Hi,

>

I am using tomcat 4.1.12 Web server but tomcat 4.1.12 Web server is not
showing in the Application server list Idea is showing tomcat 4.0.x Web
server.can u help me how to use tomcat 4.1.12 Web server with Idea.

>

Thanx
Sekhar.

>

"Robert S. Sfeir" <sfcodewarrior@hotmail.com> wrote in message
news:bg5lpp$dd7$2@is.intellij.net...

(man I wish I could have $1 for every time you had to post this comment)

>

Eugene Zhuravlev wrote:

>

IDEA's tomcat plugin supports only Tomcat 4.0.x.

>

--

>

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"

>
>
>

>

>
>


0
Comment actions Permalink

Looks like Tomcat 4.0.x binaries are no more available from the jakarta site. (or I couldn't find them).

Whats the plan now...

Does Tomcat 5.0 generate necessary debug comments for JSP debugging using Idea.

0
Comment actions Permalink

jakarta builds have been moved to a new location lately. Had hard time finding the site...
http://archive.apache.org/dist/jakarta/tomcat-4/archive/v4.0.6/

0

Please sign in to leave a comment.